Bug 1367091 (CVE-2016-6828) - CVE-2016-6828 kernel: Use after free in tcp_xmit_retransmit_queue
Summary: CVE-2016-6828 kernel: Use after free in tcp_xmit_retransmit_queue
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-6828
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160815,repor...
Depends On: 1367092 1379526 1379527 1379529 1379530 1379531 1379532 1379533 1379534 1379535
Blocks: 1367094
TreeView+ depends on / blocked
 
Reported: 2016-08-15 13:31 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free vulnerability was found in tcp_xmit_retransmit_queue and other tcp_* functions. This condition could allow an attacker to send an incorrect selective acknowledgment to existing connections, possibly resetting a connection.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:57:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0036 normal SHIPPED_LIVE Important: kernel security and bug fix update 2017-01-10 22:03:19 UTC
Red Hat Product Errata RHSA-2017:0086 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-01-17 22:54:28 UTC
Red Hat Product Errata RHSA-2017:0091 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-01-17 22:56:06 UTC
Red Hat Product Errata RHSA-2017:0113 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-01-17 22:47:44 UTC

Description Adam Mariš 2016-08-15 13:31:55 UTC
A use after free vulnerability was found in tcp_xmit_retransmit_queue and other tcp_* functions.  This condition could allow an attacker to send an incorrect selective acknowledgement to existing connections, possibly resetting a connection.

Public via (contains reproducer and KASAN report):

http://seclists.org/oss-sec/2016/q3/280

Upstream fix:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=bb1fceca22492109be12640d49f5ea5a544c6bb4

Comment 1 Adam Mariš 2016-08-15 13:32:40 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1367092]

Comment 2 Justin M. Forbes 2016-08-17 13:41:14 UTC
Patch was posted, introduced in 2.6.

http://marc.info/?l=linux-netdev&m=147143860012027&w=2

Comment 3 Fedora Update System 2016-08-23 12:47:46 UTC
kernel-4.6.7-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-08-23 15:21:35 UTC
kernel-4.6.7-200.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-09-02 20:51:39 UTC
kernel-4.7.2-201.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-09-02 23:20:15 UTC
kernel-4.7.2-101.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Wade Mealing 2016-09-27 05:21:23 UTC
Statement:                                                                                                                        
This issue affect the Linux kernels as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 15 errata-xmlrpc 2017-01-10 17:08:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0036 https://rhn.redhat.com/errata/RHSA-2017-0036.html

Comment 16 errata-xmlrpc 2017-01-17 18:00:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:0113 https://rhn.redhat.com/errata/RHSA-2017-0113.html

Comment 17 errata-xmlrpc 2017-01-17 18:18:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0086 https://rhn.redhat.com/errata/RHSA-2017-0086.html

Comment 18 errata-xmlrpc 2017-01-17 18:23:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0091 https://rhn.redhat.com/errata/RHSA-2017-0091.html


Note You need to log in before you can comment on or make changes to this bug.